<div class="dialog work-units-dialog">
  <div class="title">
    <h3>{{ 'WORK_UNIT.PARAMETERS' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <form [formGroup]="formGroup" (ngSubmit)="onSubmit()">
    <div class="forms">
      <section formGroupName="calendar">
        <h5><i class="demo-icon icon-partao_calendrier"></i>{{ 'WORK_UNIT.CALENDAR' | translate }}</h5>
        <div formArrayName="periods" *ngFor="let period of formGroup.get('calendar').get('periods')['controls']; let i=index; trackBy: trackByFn">
          <div [formGroupName]="i" class="input-text-inline-2">
            <geodesign-input-text formControlName="periode"></geodesign-input-text>
            <!-- TODO Add translation -->
            <geodesign-input-text suffix="jour(s)" formControlName="nb"></geodesign-input-text>
          </div>
        </div>
        <div class="daysTotal">
          {{ 'WORK_UNIT.TOTAL_DAYS' | translate }} : {{ selectedDay }}<br />
          {{ 'WORK_UNIT.DAYS_TO_AFFECT' | translate }} : {{ totalDay - selectedDay }}
        </div>
      </section>
      <section formGroupName="params">
        <h5><i class="demo-icon icon-partao_tauxbattement"></i>{{ 'WORK_UNIT.LAYOVER_RATE' | translate }}</h5>
        <div class="input-text-inline">
          <geodesign-input-text suffix="%" formControlName="battementPercent"></geodesign-input-text>
          <span>{{ 'WORK_UNIT.MINIMUM' | translate }} : </span>
          <geodesign-input-text [suffix]="'WORK_UNIT.MINUTES' | translate" formControlName="battementT"></geodesign-input-text>
        </div>
        <h5><i class="demo-icon icon-partao_couthoraire"></i>{{ 'WORK_UNIT.DRIVING_COST' | translate }}</h5>
        <!-- TODO Variable € -->
        <geodesign-input-text suffix="€" formControlName="coutH"></geodesign-input-text>
        <h5><i class="demo-icon icon-partao_cout_roulage"></i>{{ 'WORK_UNIT.COST_KM' | translate }}</h5>
        <!-- TODO Variable € -->
        <geodesign-input-text suffix="€" formControlName="coutKm"></geodesign-input-text>
      </section>
      <section formGroupName="lineStats">
        <h5><i class="demo-icon icon-partao_variables_territoires"></i>{{ 'WORK_UNIT.LINES_STATISTICS' | translate }}
        </h5>
        <div class="checkboxes">
          <div>
            <geodesign-input-checkbox [label]="'WORK_UNIT.STATS_ROTATION_LENGTH' | translate"
                                      formControlName="dist"></geodesign-input-checkbox>
          </div>
          <div>
            <geodesign-input-checkbox [label]="'WORK_UNIT.STATS_ROTATION_TIME' | translate"
                                      formControlName="time"></geodesign-input-checkbox>
          </div>
          <div>
            <geodesign-input-checkbox [label]="'WORK_UNIT.STATS_COMMERCIAL_FLEET' | translate"
                                      formControlName="nbBusMax"></geodesign-input-checkbox>
          </div>
          <div>
            <geodesign-input-checkbox [label]="'WORK_UNIT.STATS_COMMERCIAL_KM' | translate"
                                      formControlName="nbKm"></geodesign-input-checkbox>
          </div>
        </div>
      </section>
    </div>
    <geodesign-alert *ngIf="isError">{{ 'GLOBAL.ERROR' | translate }}</geodesign-alert>
    <div class="buttons">
      <geodesign-button styles="primary" type="submit" >{{ 'FORM.APPLY' | translate }}</geodesign-button>
    </div>
  </form>
</div>
